ChartDirector Ver 5.0 (PHP Edition)

phpchartdir.metalColor

Usage

metalColor(c [, angle ])

Description

Creates a color by modulates the brightness of another color to create metallic shiny effects.
The brightness of the color will vary smoothly across the image in a given a direction, so as to produce a shiny effect. The modulation period will be the same as the size of the image, so this method is best use to create background colors.

Arguments

Argument | Default | Description
--- | --- | ---
c | (Mandatory) | The color to be modulated.
angle | 90 | The direction for brightness modulation, specified as a clockwise angle in degrees, with 0 being the upward pointing direction.

Return Value

A 32-bit integer representing the metallic color.

© 2009 Advanced Software Engineering Limited. All rights reserved.